create or alter procedure [dbo].[a_sel_visitasProgramadas]
@p_id_contrato as integer
as
begin
	select 
	visita.fecha_ff
	,visita.[id_catalogo.tempario]
	,visita.[cat_catalogo.tempario_duracionEstimada]
	,visita.id_contratoEquipo
	,visita.cnt_contratoEquipo_id_contrato
	,(sum(duracion.[cat_catalogo.tempario_duracionEstimada]))as TotalDia
	from view_cnt_visitaFija visita  with(nolock) 
	inner join view_cnt_visitaFija duracion with(nolock) on  duracion.id_contratoDetalleVisita =visita.id_contratoDetalleVisita and  visita.fecha_ff =duracion.fecha_ff
	where visita.cnt_contratoEquipo_id_contrato=@p_id_contrato
	group by visita.fecha_ff
	,visita.[id_catalogo.tempario]
	,visita.[cat_catalogo.tempario_duracionEstimada]
	,visita.id_contratoEquipo
	,visita.cnt_contratoEquipo_id_contrato
end